libvisio::XForm Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::XForm Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions
| XForm ()
| XForm (const XForm &xform)

## Public Attributes
double | pinX
double | pinY
double | height
double | width
double | pinLocX
double | pinLocY
double | angle
bool | flipX
bool | flipY
double | x
double | y

## Constructor & Destructor Documentation

## § XForm() [1/2]

libvisio::XForm::XForm | ( |  | ) |
| inline

## § XForm() [2/2]

libvisio::XForm::XForm | ( | const XForm & | xform | ) |
| inline

## Member Data Documentation

## § angle

double libvisio::XForm::angle

Referenced by libvisio::VSDContentCollector::applyXForm(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readTxtXForm(), libvisio::VSDParser::readTxtXForm(), libvisio::VDXParser::readXFormData(), and libvisio::VSDParser::readXFormData().

## § flipX

bool libvisio::XForm::flipX

Referenced by libvisio::VSDContentCollector::applyXForm(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readXFormData(), libvisio::VSDParser::readXFormData(), and libvisio::VSDContentCollector::transformFlips().

## § flipY

bool libvisio::XForm::flipY

Referenced by libvisio::VSDContentCollector::applyXForm(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readXFormData(), libvisio::VSDParser::readXFormData(), and libvisio::VSDContentCollector::transformFlips().

## § height

double libvisio::XForm::height

Referenced by libvisio::VSDContentCollector::_flushText(), libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectPolylineTo(), libvisio::VSDContentCollector::collectRelCubBezTo(), libvisio::VSDContentCollector::collectRelEllipticalArcTo(), libvisio::VSDContentCollector::collectRelLineTo(), libvisio::VSDContentCollector::collectRelMoveTo(), libvisio::VSDContentCollector::collectRelQuadBezTo(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readTxtXForm(), libvisio::VSDParser::readTxtXForm(), libvisio::VDXParser::readXFormData(), and libvisio::VSDParser::readXFormData().

## § pinLocX

double libvisio::XForm::pinLocX

Referenced by libvisio::VSDContentCollector::applyXForm(), libvisio::VSDContentCollector::collectTxtXForm(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readTxtXForm(), libvisio::VSDParser::readTxtXForm(), libvisio::VDXParser::readXFormData(), libvisio::VSDParser::readXFormData(), and libvisio::VSDContentCollector::transformAngle().

## § pinLocY

double libvisio::XForm::pinLocY

Referenced by libvisio::VSDContentCollector::applyXForm(), libvisio::VSDContentCollector::collectTxtXForm(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readTxtXForm(), libvisio::VSDParser::readTxtXForm(), libvisio::VDXParser::readXFormData(), libvisio::VSDParser::readXFormData(), and libvisio::VSDContentCollector::transformAngle().

## § pinX

double libvisio::XForm::pinX

Referenced by libvisio::VSDContentCollector::applyXForm(), libvisio::VSDContentCollector::collectTxtXForm(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readTxtXForm(), libvisio::VSDParser::readTxtXForm(), libvisio::VDXParser::readXFormData(), and libvisio::VSDParser::readXFormData().

## § pinY

double libvisio::XForm::pinY

Referenced by libvisio::VSDContentCollector::applyXForm(), libvisio::VSDContentCollector::collectTxtXForm(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readTxtXForm(), libvisio::VSDParser::readTxtXForm(), libvisio::VDXParser::readXFormData(), and libvisio::VSDParser::readXFormData().

## § width

double libvisio::XForm::width

Referenced by libvisio::VSDContentCollector::_flushText(), libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectPolylineTo(), libvisio::VSDContentCollector::collectRelCubBezTo(), libvisio::VSDContentCollector::collectRelEllipticalArcTo(), libvisio::VSDContentCollector::collectRelLineTo(), libvisio::VSDContentCollector::collectRelMoveTo(), libvisio::VSDContentCollector::collectRelQuadBezTo(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readTxtXForm(), libvisio::VSDParser::readTxtXForm(), libvisio::VDXParser::readXFormData(), and libvisio::VSDParser::readXFormData().

## § x

double libvisio::XForm::x

Referenced by libvisio::VSDContentCollector::collectTxtXForm().

## § y

double libvisio::XForm::y

Referenced by libvisio::VSDContentCollector::collectTxtXForm().

The documentation for this struct was generated from the following file:

- VSDTypes.h